[Numpy-discussion] ANN: numarray-1.4.1

Francesc Altet faltet at carabos.com
Fri Oct 28 09:05:48 CDT 2005


Hi Todd,

I've just installed numarray 1.4.1 and pass my tests over it.
Everything goes well, except some small detail:

Python 2.4.2 (#2, Sep 29 2005, 00:23:59)
[GCC 4.0.2 (Debian 4.0.1-9)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import Numeric
>>> import numarray
>>> Numeric.__version__
'24.0b2'
>>> numarray.__version__
'1.4.1'
>>> na=numarray.array([ 51.], type=numarray.Float64)
>>> Numeric.array(na, typecode='d')
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
TypeError: expected a writeable buffer object
>>>

This worked in 1.3.x and before.

I hope that this is not the intended behaviour.

Thanks,

-- 
>0,0<   Francesc Altet     http://www.carabos.com/
V   V   Cárabos Coop. V.   Enjoy Data
 "-"





More information about the Numpy-discussion mailing list